Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3467 - RFE: inconsistent use of date formats in bugzilla screens (nit-picking category :)
Summary: RFE: inconsistent use of date formats in bugzilla screens (nit-picking catego...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: http://pobox.com/~e.maryniak/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 21:05 UTC by Eric Maryniak
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-08-04 18:41:17 UTC


Attachments (Terms of Use)

Description Eric Maryniak 1999-06-14 21:05:54 UTC
This one really falls in the nit-picking category, and
I would have given it ultra-low priority if possible---
but being a fan of the ISO 8601 date format (CCYY-MM-DD,
eg. 1999-06-14), I could not help but notice the
inconsistent use of date formats in the several Bugzilla
screens, eg:
...
                                       Opened: 1999-05-03
...
------- Additional Comments ... 05/03/99 11:01 -------
...

Note that the first date seems OK, but is probably not,
ccyy-dd-mm in lieu of ccyy-mm-dd and the second does not
have cc (century). Furthermore, both dates are specific for
the US; Europe mostly uses dd-mm-ccyy notation. ISO 8601
has all sorts of nice qualities, such as millenium-
proofness, numerical and lexical ordering == date ordering
etc. Also note that in 2001 etc. dates will look strange,
what to bake of '02/03/01' etc., whereas 2001-02-03 is
clearer.
You may want to check the ISO 8601 date standard at:

    http://www.cl.cam.ac.uk/~mgk25/iso-time.html

Comment 1 David Lawrence 2000-08-04 18:41:15 UTC
Good point. Changed to enhancement request.

Comment 2 Brent Fox 2002-06-04 19:02:27 UTC
I think the date format is more consistent now.


Note You need to log in before you can comment on or make changes to this bug.